Loading...
Searching...
No Matches
gridfire::exceptions::FailedToPartitionEngineError Class Referencefinal

Exception for failures in partitioning the engine. More...

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::FailedToPartitionEngineError:
[legend]
Collaboration diagram for gridfire::exceptions::FailedToPartitionEngineError:
[legend]

## Additional Inherited Members

Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Exception for failures in partitioning the engine.

This exception is thrown when the engine fails to partition the reaction network as required for certain calculations or optimizations.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h